darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Witnesses.Maybe

# Documentation

data Maybe2 (p :: Type -> Type -> Type) wX wY where #

Constructors

Nothing2 :: forall (p :: Type -> Type -> Type) wX. Maybe2 p wX wX |
Just2 :: forall (p :: Type -> Type -> Type) wX wY. p wX wY -> Maybe2 p wX wY |

maybeToFL :: forall (p :: Type -> Type -> Type) wX wY. Maybe2 p wX wY -> FL p wX wY #

maybeToRL :: forall (p :: Type -> Type -> Type) wX wY. Maybe2 p wX wY -> RL p wX wY #

mapMB_MB :: (p wX wY -> q wX wY) -> Maybe2 p wX wY -> Maybe2 q wX wY #